/*
 * Copyright (C) 2000 Robert Fitzsimons
 */

#ifndef _ujvm_debug_h
#define _ujvm_debug_h

#include "basetypes.h"
#include "unicode.h"

void debug(char* format, ...);
void debug_hash(kuint hash, kuint newline);
void debug_unicode(Unicode* unicode, kuint newline);

#define FIXME() ({ \
	debug("!!! FIXME (%s, %d) !!!\n", __FILE__, __LINE__); \
	abort(); \
})

#endif /* _ujvm_debug_h */

