/*
 * Copyright (C) 2000 Robert Fitzsimons
 */

#ifndef _ujvm_datatypes_h
#define _ujvm_datatypes_h

#include "basetypes.h"

typedef struct Environment Environment;

typedef struct Object Object;
typedef struct Class Class;

typedef struct ClassData ClassData;
typedef union ConstantData ConstantData;
typedef struct MethodData MethodData;
typedef struct FieldData FieldData;
typedef struct InterfaceData InterfaceData;

typedef struct ClassFile ClassFile;
typedef union ConstantInfo ConstantInfo;
typedef struct MethodInfo MethodInfo;
typedef struct FieldInfo FieldInfo;
typedef struct AttributeInfo AttributeInfo;

typedef struct HashMap HashMap;
typedef struct Unicode Unicode;

#endif /* _ujvm_datatypes_h */

